
global:
  scrape_interval: 15s 
  evaluation_interval: 15s

scrape_configs:
  - job_name: "node-exporter"
    static_configs:
      - targets: ["localhost:9100"]
        labels:
          host: "prices"
      - targets: ["10.119.106.131:9100"]
                labels:
          host: "prices-staging"
  - job_name: nginx
    static_configs:
      - targets: ["localhost:9113"]
        labels:
          host: "prices"
  - job_name: postgres
    static_configs:
      - targets: ["localhost:9187"]
        labels:
          host: "prices"
  - job_name: java-backend
    file_sd_configs:
    - files:
        - '/etc/prometheus/sd-config/*.yml'